org.jboss.resteasy.core.interception

## Class InterceptorRegistry<T>

- java.lang.Object
- - org.jboss.resteasy.core.interception.InterceptorRegistry<T>

- Deprecated.

      @Deprecated
      public class InterceptorRegistry<T>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `InterceptorRegistry.AbstractInterceptorFactory` Deprecated.
    `protected static interface` | `InterceptorRegistry.InterceptorFactory` Deprecated.
    `protected class` | `InterceptorRegistry.PerMethodInterceptorFactory` Deprecated.
    `class` | `InterceptorRegistry.PrecedenceComparator` Deprecated.
    `protected class` | `InterceptorRegistry.SingletonInterceptorFactory` Deprecated.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<InterceptorRegistry.InterceptorFactory>` | `interceptors` Deprecated.
    `protected Class<T>` | `intf` Deprecated.
    `protected List<InterceptorRegistryListener>` | `listeners` Deprecated.
    `protected List<String>` | `precedenceList` Deprecated.
    `protected Map<String,Integer>` | `precedenceOrder` Deprecated.
    `protected ResteasyProviderFactory` | `providerFactory` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptorRegistry(Class<T> intf, ResteasyProviderFactory providerFactory)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addNewInterceptor(List<T> list, Object interceptor)` Deprecated.
    `void` | `appendPrecedence(String precedence)` Deprecated.
    `T[]` | `bind(Class declaring, AccessibleObject target)` Deprecated.
    `List<T>` | `bindForList(Class declaring, AccessibleObject target)` Deprecated.
    `InterceptorRegistry<T>` | `cloneTo(ResteasyProviderFactory factory)` Deprecated.
    `Class<T>` | `getIntf()` Deprecated.
    `List<InterceptorRegistryListener>` | `getListeners()` Deprecated.
    `void` | `insertPrecedenceAfter(String after, String newPrecedence)` Deprecated.
    `void` | `insertPrecedenceBefore(String after, String newPrecedence)` Deprecated.
    `protected void` | `recalculateOrder()` Deprecated.
    `void` | `register(Class<? extends T> clazz)` Deprecated.
    `void` | `register(T interceptor)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

      Deprecated.

    - #### intf

          protected Class<T> intf

      Deprecated.

    - #### interceptors

          protected List<InterceptorRegistry.InterceptorFactory> interceptors

      Deprecated.

    - #### precedenceOrder

          protected Map<String,Integer> precedenceOrder

      Deprecated.

    - #### precedenceList

          protected List<String> precedenceList

      Deprecated.

    - #### listeners

          protected List<InterceptorRegistryListener> listeners

      Deprecated.

  - ### Constructor Detail

    - #### InterceptorRegistry

          public InterceptorRegistry(Class<T> intf,
                             ResteasyProviderFactory providerFactory)

      Deprecated.

  - ### Method Detail

    - #### cloneTo

          public InterceptorRegistry<T> cloneTo(ResteasyProviderFactory factory)

      Deprecated.

    - #### getListeners

          public List<InterceptorRegistryListener> getListeners()

      Deprecated.

    - #### getIntf

          public Class<T> getIntf()

      Deprecated.

    - #### recalculateOrder

          protected void recalculateOrder()

      Deprecated.

    - #### appendPrecedence

          public void appendPrecedence(String precedence)

      Deprecated.

    - #### insertPrecedenceAfter

          public void insertPrecedenceAfter(String after,
                                   String newPrecedence)

      Deprecated.

    - #### insertPrecedenceBefore

          public void insertPrecedenceBefore(String after,
                                    String newPrecedence)

      Deprecated.

    - #### bind

          public T[] bind(Class declaring,
                 AccessibleObject target)

      Deprecated.

    - #### bindForList

          public List<T> bindForList(Class declaring,
                            AccessibleObject target)

      Deprecated.

    - #### addNewInterceptor

          protected void addNewInterceptor(List<T> list,
                               Object interceptor)

      Deprecated.

    - #### register

          public void register(Class<? extends T> clazz)

      Deprecated.

    - #### register

          public void register(T interceptor)

      Deprecated.

Copyright © 2014. All Rights Reserved.